#include<bits/stdc++.h>
using namespace std;
int a[100010],b[100010],c[100010];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    for(int i=0;i<n;i++)cin>>a[i];
    for(int i=0;i<n;i++)cin>>b[i];
    for(int i=0;i<n;i++)c[b[i]-1]=i;
    int ans=0;
    for(int i=0;i<n;i++){
        ans++;
        int p=c[a[i]-1];
        //cout<<i<<" "<<p<<endl;
        while(p<n-1&&i<n-1&&a[i+1]==b[p+1]){
            i++;
            p++;
        }
    }
    cout<<ans;
}
